Subject: Re: bug#22541: 25.0.50; highlight-regexp from isearch has is case-sensitive even if case-fold is active

From: Juri Linkov <[email-masked]>
Date: Mon, 24 Apr 2017 02:18:06 +0300

> I think is a good moment to comeback to this issue once we have already
> released Emacs 25.2.
> I have updated your patch so that hi-lock-face-buffer checks search-upper-case
> in interactive calls.  It works OK.
> Since there isn't recent activity in the implementation of the pcre-style
> embedded modifiers, we might use your patch in the meantime.

Thank you for taking care of this issue.  If in your tests it works
as expected, then I suppose this is the way to go.